Subject: bug#52650: closed (Re: bug#52650: Guix pull fails building package cache)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Dec 2021 11:30:05 +0000

Your bug report

#52650: Guix pull fails building package cache

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52650: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52650: Guix pull fails building package cache
From: Tobias Geerinckx-Rice <[email-masked]>
To: André A. Gomes <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Dec 2021 12:26:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

André,

André A. Gomes 写道：
> How can I close this bug report?  Thank you.

When replying, change the [email-masked] address to 
[email-masked] (or -close, but IME we don't rely on 
the subtle distinction?).

I've done so here.

Kind regards,

T G-R

Subject: Guix pull fails building package cache
From: André A. Gomes <[email-masked]>
To: [email-masked]
Date: Sat, 18 Dec 2021 23:32:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I got the following error after issuing guix pull.

--8<---------------cut here---------------start------------->8---
building package cache...
/builder for `/gnu/store/6z0pny4mqnhrakqxs1yca5lnxjd1xszr-guix-package-cache.drv' failed to produce output path `/gnu/store/9spwrk8l40kpi110q47ckay0znmjzbdb-guix-package-cache'
build of /gnu/store/6z0pny4mqnhrakqxs1yca5lnxjd1xszr-guix-package-cache.drv failed
--8<---------------cut here---------------end--------------->8---

And the log says:

--8<---------------cut here---------------start------------->8---
(repl-version 0 1 1)
Generating package cache for '/gnu/store/c68ygnsa87mqzfnrnkp798qi3jdsixh0-profile'...
(exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (lttng-ust)) (value #f))
--8<---------------cut here---------------end--------------->8---

-- 
André A. Gomes
"Free Thought, Free World"